com.holonplatform.vaadin7.components.builders

## Interface PropertyListingBuilder.GridPropertyListingBuilder

- All Superinterfaces:
    BaseItemDataSourceComponentBuilder<PropertyListingBuilder.GridPropertyListingBuilder>, ComponentBuilder<PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, ComponentConfigurator<PropertyListingBuilder.GridPropertyListingBuilder>, ComponentPostProcessorSupport<com.vaadin.ui.Grid,PropertyListingBuilder.GridPropertyListingBuilder>, ItemDataSourceComponentBuilder<com.holonplatform.core.property.PropertyBox,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid>, ItemListingBuilder.BaseGridItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, PropertyListingBuilder<PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid>
  Enclosing interface:
    PropertyListingBuilder<B extends PropertyListingBuilder<B,X>,X extends com.vaadin.ui.Component>

      public static interface PropertyListingBuilder.GridPropertyListingBuilder
      extends PropertyListingBuilder<PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid>, ItemListingBuilder.BaseGridItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>

  Builder to create `PropertyListing` components using a `Grid` as backing component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.PropertyListingBuilder

      `PropertyListingBuilder.GridPropertyListingBuilder, PropertyListingBuilder.TablePropertyListingBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder

      `ItemListingBuilder.BaseGridItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseGridItemListingBuilder<T,P,C,B>>, ItemListingBuilder.BaseTableItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseTableItemListingBuilder<T,P,C,B>>, ItemListingBuilder.FooterBuilder, ItemListingBuilder.GridFooterGenerator<T,P>, ItemListingBuilder.GridItemListingBuilder<T>, ItemListingBuilder.GridSection<ROWTYPE extends com.vaadin.ui.Grid.StaticSection.StaticRow<?>>, ItemListingBuilder.HeaderBuilder, ItemListingBuilder.TableFooterGenerator<T,P>, ItemListingBuilder.TableItemListingBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T,P> PropertyListingBuilder.GridPropertyListingBuilder` | `render(com.holonplatform.core.property.Property<T> property, com.vaadin.data.util.converter.Converter<P,T> converter, com.vaadin.ui.renderers.Renderer<? super P> renderer)` Set a custom `Renderer` and `Converter` for given item property.
    `<T> PropertyListingBuilder.GridPropertyListingBuilder` | `render(com.holonplatform.core.property.Property<T> property, com.vaadin.ui.renderers.Renderer<? super T> renderer)` Set a custom `Renderer` for given item property.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.PropertyListingBuilder

      `dataSource, dataSource, required, required, required, required, withValidator, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder.BaseGridItemListingBuilder

      `commitOnRemove, commitOnSave, detailsGenerator, editorCancelCaption, editorCancelCaption, editorCancelCaption, editorSaveCaption, editorSaveCaption, editorSaveCaption, expandRatio, footer, footerGenerator, frozenColumns, header, heightByContents, heightByRows, hidingToggleCaption, hidingToggleCaption, hidingToggleCaption, maxWidth, minWidth, resizable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemListingBuilder

      `alignment, buffered, build, build, columnHidingAllowed, columnReorderingAllowed, commitHandler, defaultValue, editable, editable, editor, footerVisible, header, header, header, hidable, hidden, hideHeaders, itemDescriptionGenerator, readOnly, selectionMode, sortable, sortGenerator, sortUsing, style, style, width, withItemClickListener, withPropertyReorderListener, withPropertyResizeListener, withPropertyVisibilityListener, withRowStyle, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ItemDataSourceComponentBuilder

      `dataSource, dataSource, itemAdapter`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentPostProcessorSupport

      `withPostProcessor`

- - ### Method Detail

    - #### render

          <T> PropertyListingBuilder.GridPropertyListingBuilder render(com.holonplatform.core.property.Property<T> property,
                                                                       com.vaadin.ui.renderers.Renderer<? super T> renderer)

      Set a custom `Renderer` for given item property.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - Item property to set the renderer for (not null)
        `renderer` - Renderer to use
      Returns:
        this

    - #### render

          <T,P> PropertyListingBuilder.GridPropertyListingBuilder render(com.holonplatform.core.property.Property<T> property,
                                                                         com.vaadin.data.util.converter.Converter<P,T> converter,
                                                                         com.vaadin.ui.renderers.Renderer<? super P> renderer)

      Set a custom `Renderer` and `Converter` for given item property.
      Type Parameters:
        `T` - Property type
        `P` - Presentation value type
      Parameters:
        `property` - Item property to set the renderer for
        `converter` - Value converter
        `renderer` - Renderer to use
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.